Update enrollment token configuration
Required Permission: mdm.windows.enrollmentToken.update
Modify the display name, assigned security policies, or organizational tags for an existing enrollment token before it is used for device registration.
Request
authorization
Authorization: Bearer <token>
application/json
{
"displayName": "Engineering Laptop - John Doe (Updated)",
"winPolicyId": "698efa6ed851667d9c0aec88",
"winPolicyAssignments": [
{
"winPolicyId": "string",
"priority": 0
}
],
"tags": [
"engineering",
"laptop",
"corporate",
"updated"
],
"segmentId": "1"
}
Responses
application/json
{
"status": true,
"data": {
"id": "698efa6ed851667d9c0aec88",
"organizationId": "698efa6ed851667d9c0aec88",
"winEnterpriseId": "698efa6ed851667d9c0aec88",
"winDeviceId": "698efa6ed851667d9c0aec88",
"mdmUser": {
"id": "698efa6ed851667d9c0aec88",
"email": "[email protected]"
},
"displayName": "Engineering Laptop - John Doe",
"tags": [
"engineering",
"laptop",
"corporate"
],
"state": "PENDING",
"config": {},
"type": "enrollment",
"subType": "standard",
"updatedAt": "2026-02-10T12: 00:00Z",
"createdAt": "2026-01-15T09: 30:00Z",
"expireAt": "2026-03-15T09: 30:00Z",
"enrollmentLink": "https://mdm.company.com/enroll?token=abc123def456",
"enrollCode": "ABC123",
"winPolicyId": "698efa6ed851667d9c0aec88",
"winPolicyAssignments": [
{
"winPolicyId": "698efa6ed851667d9c0aec88",
"winPolicy": {
"id": "698efa6ed851667d9c0aec88",
"name": "Corporate Security Policy"
},
"priority": 100
}
],
"summary": {
"expirationTimestamp": "2026-03-15T09: 30:00Z"
},
"sendEmail": true,
"emailText": "Welcome to the corporate device management program. Click the link to enroll your device.",
"segmentId": "1"
}
}
application/json
{
"status": false,
"error": {
"code": 5050,
"message": "Feature not allowed for you billing plan"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}